Verify that the search capabilities work
Description

As per the roadmap, search capability requirements include:

® |ocal search of direstories

e remote search of repositories

e search results that contain both actors and workflows
¢ ability to open a workflow from the library

To close this bug, verify that the preceding functionality is operable.

Related issues:

Blocks Kepler - Bug #4462: Component search in remote repositories not working Resolved 10/15/2009
Blocks Kepler - Bug #4799: "Login Anonymously" gave an error during the data ... Resolved 02/16/2010
History

#1 - 02/24/2010 10:08 AM - Jing Tao
Except bug 4462 and 4799, the others function seems working

#2 - 02/24/2010 10:10 AM - Chad Berkley
To close this bug, close bug 4462 and bug 4799

#3 - 03/10/2010 02:24 PM - Jing Tao

Need to look at the print out on the console when we search and download data on ecogrid.

#4 - 03/15/2010 04:28 PM - Jing Tao

The debug message has gone when | tried to reproduced the issue on comment 3. | tried both kepler 2.0 and trunk. Ben verified this on kepler 2.0. So
someone either turned the logging level down or changed something.

#5 - 03/19/2010 11:25 AM - Jing Tao

| saved a workflow into local repository as a kar file. The search it on the components panel. The result shows:

Workflows

- eml-simple-plot,kar

- eml-simple-plot

| tried to drag the eml-simple-plot,kar into the canvas. But | couldn't. | only can drag the second eml-simple-plot (a composite actor) to the canvas.

#6 - 03/19/2010 11:26 AM - Chad Berkley

| don't think you're supposed to be able to drag the kar to the canvas. It's just a container.

#7 - 03/19/2010 11:37 AM - Jing Tao
Chad:

What can we do to the kar search result? How can we open it?
Thanks,

Jing
#8 - 03/19/2010 11:53 AM - Chad Berkley

You should be able to drag the contents of the kar file. If the kar file doesn't have anything in it, then there is nothing to drag.

#9 - 03/19/2010 12:21 PM - Jing Tao

In this case, the kar file only has a composite actor at the result panel. Actually, | saved a workflow to the kar file. And after dragging the composite
actor to the canvas, | couldn't run it.

You may reproduce the issue by saving eml-simple-plot.xml as a kar file locally. Then search it.

#10 - 03/19/2010 01:19 PM - Sean Riddle

It's probably Kepler keeping you from running a workflow without a top-level directory. Put a PN or SDF directory in the top level along with the
no-port composite and try it.

#11 - 03/19/2010 03:05 PM - Jing Tao

Aaron clarify the issue:

on the search result panel, right clicking the kar entry will bring a menu. One menu item is "Open". Use this menu item, user can open the workflow.

#12 - 04/26/2010 01:46 PM - Jing Tao

close the bug.

#13 - 03/27/2013 02:27 PM - Redmine Admin
Original Bugzilla ID was 4517
